/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.blocks;


import gabien.IGrInDriver;
import gabien.ui.Rect;

/**
 *
 * @author matt
 */
public class FilterBlockType extends BasicBlockType {
    @Override
    protected String getBlockImage()
    {
        return "Pbm/Prtfilt.pbm";
    }
    //Does colliding with this halt Ikachan?
    @Override
    public boolean collisionStops()
    {
        return false;
    }

    @Override
    public Rect getCollision(int x,int y,int subtype)
    {
        return new Rect(x*16,y*16,16,16);
    }
    //Draws this block at a specific pixel position.Note that pass is 0 or 1(0 is back,1 is fore)
    @Override
    public void doRender(int pass,int ox,int oy,int subtype,IGrInDriver igd,double Time)
    {
        if (pass!=1) return;
        igd.blitBCKImage(16*subtype, 0, 16, 16, ox, oy, igd.getImage(getBlockImage(), 0, 0, 0));
    }
    
}
