/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.npcs;

import javachan.GameState;
import javachan.GameStateNPChar;
import javachan.GameStateNPChar.NPCCharacter;
import gabien.IGrInDriver;
import gabien.IGrInDriver.IImage;

/**
 *
 * @author matt
 */
public class IsoginNPCType extends BasicNPCType {

    @Override
    public void doEditorTick(GameStateNPChar.NPCCharacter npc) {
        npc.displayX = (int) (npc.ofsX-npc.posX);
        npc.displayY = 0;
    }

    @Override
    public void doTick(NPCCharacter npc, GameState gs, double Time) {
        npc.displayX = (int) (npc.ofsX-npc.posX);
        npc.displayY = (int) Math.floor(Time) & 1;
        if (gs.playerX > npc.posX)
            npc.displayY += 2;

        npc.velY += GameState.translatePixelMysteryUnits(0x10);
        double pmu400 = GameState.translatePixelMysteryUnits(0x400);
        if (npc.velY > pmu400)
            npc.velY = pmu400;
        npc.posY += npc.velY;
    }
}
